<?php


/**
 * @file
 * popup window for playing recording
 */

chdir("..");
include './includes/variables.php';
require_once ('./includes/isgwtelnet.php');
include './misc/database.php';
$ba = new beroAri();
require_once ('./includes/lang.php');
include './misc/config_parameter.php';

//Config Felder, die nicht in dem Extra Config Feld reinkommen.
$config_values=array("t38","dtmfmode","codecs",
					"ec","ectl","dton","oton",
					"screen","pres","bearer_cap",
					"cd","ie_on_sip",
					"wait_for_cancel","from_sip_src_setting","from_pstn_src_setting",
					"isdn_oad_setting","isdn_oad2_setting",
					"isdn_qsigname_setting","isdn_redirected_nr_setting",
					"analog_oad_setting","analog_display_setting",
					"sip_from_user_setting","sip_from_display_setting","s2i_cpt","i2s_cpt",
                                        "sip_to_user_setting","sip_national_code","sip_international_code",
                                        "isdn2sip_destination_numformat","dialplan_international_prefix",
                                        "sip2dialplan_dad_prefix_setting","dialplan2sip_oad_prefix_setting",
                                        "sip2dialplan_oad_prefix_setting","srtp_mode","srtp_crypto_suites");

?>


<script type="text/javascript" src="misc/script/more.js"></script>


<script type="text/javascript">
function showdef(){
	//Configuration für neue Parameter
	var conf=new Object();
	var config;
	<?php
	$e=hol_daten();
	echo "config='".trim($e[0]['config'])."';";
	echo "from='".trim($e[0]['fromDirection'])."';";
	echo "to='".trim($e[0]['toDirection'])."';";
	$conf=showconf($e);
	if ($conf!=NULL){
		foreach ($conf as $key => $value){
			echo "conf[\"".trim($key)."\"]=new Object();";
			foreach ($conf[$key] as $key1 => $value1){
				echo "conf[\"".trim($key)."\"][\"".trim($key1)."\"]=\"".trim($value1)."\";";
			}
		}
	}
	?>
	showdef_(conf,config,from,to)
;}

$("#config").validate({
        rules: {
            'srtp_crypto_suites[]': {
                required: {
                    depends: function() {
                        return (($("#srtp_mode").val() === "mandatory" || $("#srtp_mode").val() === "optional") && !$("#srtp_mode").is(":disabled"));
                    }
                }
            }           
        }
    });
    
$( '#srtp_mode' ).change(function() {
    srtp();
});
</script>

<?php
$e=hol_daten();

$page=$_GET['start'];
$dir=$_GET['dir'];
$search=$_GET['search'];


function showconf($e){
	$isgw = new isgwtelnet();
	$result=$isgw->isgw_login();
	//$conf ist die Variable fürs Hash
	$conf=null;
	$ba=new beroAri();
	if ($result!=false){
	$dialplanc=$isgw->isgw_dialplanconfig();
	$zeilen=split("\n",$dialplanc);

	//ISDN Configuration FROM
	if ($e[0]['fromDirection']=="isdn"){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.*)'/",$zeile,$res);
				if ($res['bez']=="i" || $res['bez']=="p" || $res['bez'] == "*")
				$conf['from'][$res['name']]=$res['def'];
			}

		}
		if (substr_count($e[0]['fromId'],"g:")==1){
			$query=$ba->select("SELECT config from isdn WHERE gr='".substr($e[0]['fromId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from isdn WHERE port='".$e[0]['fromId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}
	}

	//ANALOG Configuration FROM
	if ($e[0]['fromDirection']=="analog"){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.*)'/",$zeile,$res);
				if ($res['bez']=="a" || $res['bez']=="p" || $res['bez'] == "*")
				$conf['from'][$res['name']]=$res['def'];
			}

		}
		if (substr_count($e[0]['fromId'],"g:")==1){
			$query=$ba->select("SELECT config from analog WHERE gr='".substr($e[0]['fromId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from analog WHERE port='".$e[0]['fromId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}
	}
	//CAS Configuration FROM
	if ($e[0]['fromDirection']=="cas"){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.*)'/",$zeile,$res);
				if ($res['bez']=="c" || $res['bez']=="p" || $res['bez']=="*")
				$conf['from'][$res['name']]=$res['def'];
			}

		}
		if (substr_count($e[0]['fromId'],"g:")==1){
			$query=$ba->select("SELECT config from cas_channels WHERE gr='".substr($e[0]['fromId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from cas_channels WHERE port='".$e[0]['fromId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}
	}

	//GSM Configuration FROM
	if ($e[0]['fromDirection']=="gsm"){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.*)'/",$zeile,$res);
				if ($res['bez']=="g" || $res['bez'] == "*")
				$conf['from'][$res['name']]=$res['def'];
			}

		}
		if (substr_count($e[0]['fromId'],"g:")==1){
			$query=$ba->select("SELECT config from gsm WHERE gr='".substr($e[0]['fromId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from gsm WHERE port='".$e[0]['fromId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}
	}

	//SIP Configuration FROM
	if ($e[0]['fromDirection']=="sip"){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.*)'/",$zeile,$res);
				if ($res['bez']=="s" || $res['bez'] == "*")
				$conf['from'][$res['name']]=$res['def'];
			}

		}
		if (substr_count($e[0]['fromId'],"p:")==1 || substr_count($e[0]['fromId'],"d:")==1){
			$query=$ba->select("SELECT config from sip WHERE name='".substr($e[0]['fromId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from sip WHERE name='".$e[0]['fromId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}
	}

	//ISDN Configuration TO
	if ($e[0]['toDirection']=="isdn"){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.*)'/",$zeile,$res);
				if ($res['bez']=="i" || $res['bez']=="p" || $res['bez'] == "*")
				$conf['to'][$res['name']]=$res['def'];
			}

		}
		if (substr_count($e[0]['toId'],"g:")==1){
			$query=$ba->select("SELECT config from isdn WHERE gr='".substr($e[0]['toId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from isdn WHERE port='".$e[0]['toId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}
	}



	//ANALOG Configuration TO
	if ($e[0]['toDirection']=="analog"){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.*)'/",$zeile,$res);
				if ($res['bez']=="a" || $res['bez']=="p" || $res['bez'] == "*")
				$conf['to'][$res['name']]=$res['def'];
			}

		}
		if (substr_count($e[0]['toId'],"g:")==1){
			$query=$ba->select("SELECT config from analog WHERE gr='".substr($e[0]['toId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from analog WHERE port='".$e[0]['toId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}
	}
        
	//CAS Configuration TO
	if ($e[0]['toDirection']=="cas"){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.*)'/",$zeile,$res);
				if ($res['bez']=="c" || $res['bez']=="p" || $res['bez']=="*")
				$conf['to'][$res['name']]=$res['def'];
			}

		}
		if (substr_count($e[0]['toId'],"g:")==1){
			$query=$ba->select("SELECT config from cas_channels WHERE gr='".substr($e[0]['toId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from cas_channels WHERE port='".$e[0]['toId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}
	}

	//GSM Configuration TO
	if ($e[0]['toDirection']=="gsm"){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.*)'/",$zeile,$res);
				if ($res['bez']=="g" || $res['bez'] == "*")
				$conf['to'][$res['name']]=$res['def'];
			}

		}
		if (substr_count($e[0]['toId'],"g:")==1){
			$query=$ba->select("SELECT config from gsm WHERE gr='".substr($e[0]['toId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from gsm WHERE port='".$e[0]['toId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}
	}

	//SIP Configuration TO
	if ($e[0]['toDirection']=="sip"){
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.)\]\[(?<name>.+)\] (?<desc>.+) '(?<def>.*)'/",$zeile,$res);
				if ($res['bez']=="s" || $res['bez'] == "*")
				$conf['to'][$res['name']]=$res['def'];
			}

		}
		if (substr_count($e[0]['toId'],"p:")==1 || substr_count($e[0]['toId'],"d:")==1){
			$query=$ba->select("SELECT config from sip WHERE name='".substr($e[0]['toId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from sip WHERE name='".$e[0]['toId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}
	}

	//Dialplan config
	if ($e[0]['config']!=""){
		$configs=split(',',$e[0]['config']);
		foreach ($configs as $value){
			$key=explode('=',$value,2);
			if (($key[0]!="")) {
				if (array_key_exists($key[0],$conf['from'])) $conf['from'][$key[0]]=$key[1];
				if (array_key_exists($key[0],$conf['to'])) $conf['to'][$key[0]]=$key[1];
				if (!array_key_exists($key[0],$conf['from']) && !array_key_exists($key[0],$conf['to'])) $conf['from'][$key[0]]=$key[1];
			}
		}
	}
//Wenn ISGW nicht gestartet ist
}else{
	//ISDN Configuration FROM
	if ($e[0]['fromDirection']=="isdn"){
		if (substr_count($e[0]['fromId'],"g:")==1){
			$query=$ba->select("SELECT config from isdn WHERE gr='".substr($e[0]['fromId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from isdn WHERE port='".$e[0]['fromId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}
	}

	//ANALOG Configuration FROM
	if ($e[0]['fromDirection']=="analog"){
		if (substr_count($e[0]['fromId'],"g:")==1){
			$query=$ba->select("SELECT config from analog WHERE gr='".substr($e[0]['fromId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from analog WHERE port='".$e[0]['fromId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}
	}
        
	//CAS Configuration FROM
	if ($e[0]['fromDirection']=="cas"){
		if (substr_count($e[0]['fromId'],"g:")==1){
			$query=$ba->select("SELECT config from cas_channels WHERE gr='".substr($e[0]['fromId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from cas_channels WHERE port='".$e[0]['fromId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}
	}

	//GSM Configuration FROM
	if ($e[0]['fromDirection']=="gsm"){
		if (substr_count($e[0]['fromId'],"g:")==1){
			$query=$ba->select("SELECT config from gsm WHERE gr='".substr($e[0]['fromId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from gsm WHERE port='".$e[0]['fromId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}
	}

	//SIP Configuration FROM
	if ($e[0]['fromDirection']=="sip"){
		if (substr_count($e[0]['fromId'],"p:")==1 || substr_count($e[0]['fromId'],"d:")==1){
			$query=$ba->select("SELECT config from sip WHERE name='".substr($e[0]['fromId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from sip WHERE name='".$e[0]['fromId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['from'][$key[0]]=$key[1];
			}
		}
	}

	//ISDN Configuration TO
	if ($e[0]['toDirection']=="isdn"){
		if (substr_count($e[0]['toId'],"g:")==1){
			$query=$ba->select("SELECT config from isdn WHERE gr='".substr($e[0]['toId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from isdn WHERE port='".$e[0]['toId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}
	}

	//ANALOG Configuration TO
	if ($e[0]['toDirection']=="analog"){
		if (substr_count($e[0]['toId'],"g:")==1){
			$query=$ba->select("SELECT config from analog WHERE gr='".substr($e[0]['toId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from analog WHERE port='".$e[0]['toId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}
	}
        
	//CAS Configuration TO
	if ($e[0]['toDirection']=="cas"){
		if (substr_count($e[0]['toId'],"g:")==1){
			$query=$ba->select("SELECT config from cas_channels WHERE gr='".substr($e[0]['toId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from cas_channels WHERE port='".$e[0]['toId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}
	}

	//GSM Configuration TO
	if ($e[0]['toDirection']=="gsm"){
		if (substr_count($e[0]['toId'],"g:")==1){
			$query=$ba->select("SELECT config from gsm WHERE gr='".substr($e[0]['toId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from gsm WHERE port='".$e[0]['toId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}
	}

	//SIP Configuration TO
	if ($e[0]['toDirection']=="sip"){
		if (substr_count($e[0]['toId'],"p:")==1 || substr_count($e[0]['toId'],"d:")==1){
			$query=$ba->select("SELECT config from sip WHERE name='".substr($e[0]['toId'], 2)."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}else{
			$query=$ba->select("SELECT config from sip WHERE name='".$e[0]['toId']."'");
			$config=sqlite_fetch_single($query);
			$configs=split(',',$config);
			foreach ($configs as $value){
				$key=explode('=',$value,2);
				if ($key[0]!="") $conf['to'][$key[0]]=$key[1];
			}
		}
	}

	if ($e[0]['config']!=""){
		$configs=split(',',$e[0]['config']);
		foreach ($configs as $value){
			$key=explode('=',$value,2);
			if (($key[0]!="")) {
				if (array_key_exists($key[0],$conf['from'])) $conf['from'][$key[0]]=$key[1];
				elseif (array_key_exists($key[0],$conf['to'])) $conf['to'][$key[0]]=$key[1];
				else $conf['from'][$key[0]]=$key[1];
			}
		}
	}
}
return $conf;
}

function showdefmc($e){
	global $config_values;
	$isgw = new isgwtelnet();
	$result=$isgw->isgw_login();
	if ($result!=false){
		$dialplanc=$isgw->isgw_dialplanconfig();
		$zeilen=split("\n",$dialplanc);
		foreach ($zeilen as $zeile){
			if (stripos($zeile,'[')===0){
				preg_match("/\[(?<bez>.+)\]\[(?<name>.+)\][\s]*(?<desc>.+)[\s]*\<(?<val>.*)\>[\s]*'(?<def>.*)'/",$zeile,$res);
				if (!in_array($res['name'],$config_values)){
					echo "<script>
						var extra_tooltip=document.getElementById('extra_tooltip');
						extra_tooltip.innerHTML=extra_tooltip.innerHTML+'<p>".DIALPLAN_OPTION_DIS."<b>&nbsp;".$res['name']."</b><br>".DIALPLAN_VALUES_DIS."<b>&nbsp;&lt;".$res['val']."&gt;</b><br>Default:<b>&nbsp;".$res['def']."</b><br><i>".htmlspecialchars ($res['desc'],ENT_QUOTES)."</i></p><br>';
					</script>";
					//echo "<tr onmouseover=\"Tip('".$res['desc']."')\" onmouseout='UnTip()'><td>".$res['name']." <label id='l".$res['name']."'>(def ".$res['def'].")</label></td><td><input  id='".$res['name']."' size='7' name='config_".$res['name']."' ></td></tr>";
				}
			}
		}

		$conf=showconf($e);
		if ($e[0]['config']!=""){
			$configs=split(',',$e[0]['config']);
				foreach ($configs as $value){
				$key=explode('=',$value,2);
				if (($key[0]!="") && !in_array($key[0],$config_values)){
					echo "<script>var addit_options=document.getElementById('addit_options');
						if (addit_options.innerHTML=='')
							addit_options.innerHTML='".trim($key[0])."=".trim($key[1])."';
						else
							addit_options.innerHTML=addit_options.innerHTML+'\\n".trim($key[0])."=".trim($key[1])."';</script>";
				}elseif (($key[0]!="") && ($key[1]=='') && !in_array($key[0],$config_values)){
					echo "<script>var addit_options=document.getElementById('addit_options');
						if (addit_options.innerHTML=='')
							addit_options.innerHTML='".trim($key[0])."=';
						else
							addit_options.innerHTML=addit_options.innerHTML+'\\n".trim($key[0])."=';</script>";
				}
			}
		}
	}
}



function hol_daten(){
	$ba=new beroAri();
	if  (isset($_GET['id'])){
		$q=$ba->select("select * from dialplan where id='".$_GET['id']."'");
		$e=sqlite_fetch_all($q);
		return $e;

	}
}

	/* Buttons ISDN, SIP, ANALOG, ADITIONAL CONFIG*/
	echo "<div class='center'>";
	if ($e[0]['toDirection']=="sip" ||$e[0]['fromDirection']=="sip" || ($e[0]['toDirection']=="isdn" && $e[0]['fromDirection']=="isdn")){
		echo "<input type='button' value='SIP' onclick='javascript:show_config_sip();'/>";
	}
	if ($e[0]['toDirection']=="isdn" ||$e[0]['fromDirection']=="isdn"){
            echo "<input type='button' value='ISDN' onclick='javascript:show_config_isdn();'/>";
	}
	if ($e[0]['toDirection']=="analog" ||$e[0]['fromDirection']=="analog"){
            echo "<input type='button' value='ANALOG' onclick='javascript:show_config_analog();'/>";
	}
	if ($e[0]['toDirection']=="analog"){
		if ((substr_count($e[0]['toId'],"g:")==1)){
			$q=$ba->select("select distinct port_type from analog where gr='".substr($e[0]['toId'],2)."'");
			$portTypeTo=sqlite_fetch_single($q);
		}else{
			$q=$ba->select("select port_type from analog where port='".$e[0]['toId']."'");
			$portTypeTo=sqlite_fetch_single($q);
		}
	}
	if ($e[0]['fromDirection']=="analog"){
		if ((substr_count($e[0]['fromId'],"g:")==1)){
			$q=$ba->select("select distinct port_type from analog where gr='".substr($e[0]['fromId'],2)."'");
			$portTypeFrom=sqlite_fetch_single($q);
		}else{
			$q=$ba->select("select port_type from analog where port='".$e[0]['fromId']."'");
			$portTypeFrom=sqlite_fetch_single($q);
		}
	}

	//Wenn eine Richtung der Direction FXS ist, wird das Dialplan Source Setting nicht angezeigt
	($portTypeFrom!="FXS" && $portTypeTo!="FXS") ?  $showDialSrc="" : $showDialSrc="style='display:none'";

	//Wenn eine Richtung der Direction FXO ist, wird das Caller ID Mapping nicht angezeigt
	($portTypeFrom!="FXO" && $portTypeTo!="FXO") ?  $showCallerMapp="" : $showCallerMapp="style='display:none'";

        echo "<input type='button' value='more...' onclick='javascript:show_config_addit();'/>";
	echo "</div>";

	/* Buttons end */

	echo"<form class='extensions_form' name='config' id='config' action='misc/more_submit.php' method='POST'>
		<br/>
		<table border='0' id='config_additional' class='contenttoc'>
						<tr><td colspan='2' align='center'><b>".DIALPLAN_CONFIGURATION_DIS."</b></td></tr>
						<tr><td colspan='2'>&nbsp;</td></tr>

						<tr onmouseover=\"Tip('".ADDIT_OPTIONS."')\" onmouseout='UnTip()'>
							<td colspan='2'><b>".DIALPLAN_ADDITIONAL_CONFIG_DIS."</b></td>
						</tr>
						<tr onmouseover=\"Tip('".ADDIT_OPTIONS."')\" onmouseout='UnTip()'>
							<td colspan='2'><textarea name='addit_options' id='addit_options' rows='4' style='width:305px;'></textarea></td>
						</tr>
						<tr>
							<td colspan='2'>
							<br>
							<b>".DIALPLAN_ADDITIONAL_CONFIG_DOC_DIS."</b>
							</td>
						</tr>
						<tr>
							<td colspan='2'>
							<p id='extra_tooltip' style='height: 150px; text-align:left; width:305px; overflow: auto; border: 1px solid #A31D26; background: none repeat scroll 0% 0% rgb(238, 238, 238); color: rgb(0, 0, 0);'>
							</td>
						</tr>
					</table>
				
		<table id='config_analog' class='contenttoc'>
						<tr><td colspan='3' align='center'><b>".DIALPLAN_CONFIGURATION_DIS."</b></td>
						<tr><td colspan='2' ></td><td><b>".DIALPLAN_DEFAULT_DIS."</b></td></tr>";
						if ($e[0]['fromDirection']!="isdn" && $e[0]['toDirection']!="isdn"){
							echo "<tr onmouseover=\"Tip('".EC."')\" onmouseout='UnTip()'>
								<td><b>".DIALPLAN_EC_DIS."</b></td>
								<td>".ec()."</td>
								<td><input type='checkbox' value='1' name='def_ec' id='def_ec' checked onclick='if (def_ec.checked) ec.disabled=true; else ec.disabled=false;'/></td>
							</tr>
							<tr onmouseover=\"Tip('".EC_TAIL."')\" onmouseout='UnTip()'>
								<td><b>".DIALPLAN_EC_TAIL_LENGTH_DIS."</b></td>
								<td>".ec_tail()."</td>
								<td><input type='checkbox' value='1' name='def_ectl' id='def_ectl' checked  onclick='if (def_ectl.checked) ectl.disabled=true; else ectl.disabled=false;'/></td>
							</tr>";
						}
						echo "<tr onmouseover=\"Tip('".FROM_PSTN_SRC_SETTING."')\" onmouseout='UnTip()' id='from_pstn_src_setting_tr' ". $showDialSrc .">
							<td><b>".DIALPLAN_FROM_PSTN_SRC_SETTING_DIS."</b></td>
							<td>".from_pstn_src_setting('analog', $e[0]['fromDirection'], $e[0]['toDirection'])."</td>
							<td><input type='checkbox' value='1' name='def_from_pstn_src_setting_analog' id='def_from_pstn_src_setting_analog' checked onclick='if (def_from_pstn_src_setting_analog.checked) from_pstn_src_setting_analog.disabled=true; else from_pstn_src_setting_analog.disabled=false;'/></td>
						</tr>
						<tr>
							<td colspan='3'>&nbsp;</td>
						</tr>
						<tr ". $showCallerMapp .">
							<th colspan='3'>".DIALPLAN_CALLER_ID_MAPPING_DIS."</th>
						</tr>
						<tr id='analog_oad_setting_tr' ". $showCallerMapp .">
							<td><b>".DIALPLAN_ANALOG_CLIP_SETTING_DIS."</b></td>
							<td>".caller_id_mapping_pstn('analog_oad_setting','analog', $e[0]['fromDirection'], $e[0]['toDirection'])."</td>
							<td><input type='checkbox' value='1' name='def_analog_oad_setting' id='def_analog_oad_setting' checked onclick='if (def_analog_oad_setting.checked) analog_oad_setting.disabled=true; else analog_oad_setting.disabled=false;'/></td>
						</tr>
						<tr id='analog_display_setting_tr' ". $showCallerMapp .">
							<td><b>".DIALPLAN_ANALOG_CNIP_SETTING_DIS."</b></td>
							<td>".caller_id_mapping_pstn('analog_display_setting','analog')."</td>
							<td><input type='checkbox' value='1' name='def_analog_display_setting' id='def_analog_display_setting' checked onclick='if (def_analog_display_setting.checked) analog_display_setting.disabled=true; else analog_display_setting.disabled=false;'/></td>
						</tr>
					</table>
		<table id='config_isdn' class='contenttoc'>
					<tr><td colspan='3' align='center'><b>".DIALPLAN_CONFIGURATION_DIS."</b></td></tr>
					<tr><td colspan='2' ></td><td><b>".DIALPLAN_DEFAULT_DIS."</b></td></tr>";
					if ($e[0]['fromDirection']=="isdn" || $e[0]['toDirection']=="isdn"){
						echo "<tr onmouseover=\"Tip('".EC."')\" onmouseout='UnTip()'>
							<td><b>".DIALPLAN_EC_DIS."</b></td>
							<td>".ec()."</td>
							<td><input type='checkbox' value='1' name='def_ec' id='def_ec' checked onclick='if (def_ec.checked) ec.disabled=true; else ec.disabled=false;'/></td>
						</tr>
						<tr onmouseover=\"Tip('".EC_TAIL."')\" onmouseout='UnTip()'>
							<td><b>".DIALPLAN_EC_TAIL_LENGTH_DIS."</b></td>
							<td>".ec_tail()."</td>
							<td><input type='checkbox' value='1' name='def_ectl' id='def_ectl' checked  onclick='if (def_ectl.checked) ectl.disabled=true; else ectl.disabled=false;'/></td>
						</tr>";
					}
					echo "<tr onmouseover=\"Tip('".DTON."')\" onmouseout='UnTip()'>
						<td><b>".DIALPLAN_DTON_DIS."</b></td>
						<td>".tons('dton')."</td>
		    			<td><input type='checkbox' value='1' name='def_dton' id='def_dton' checked  onclick='if (def_dton.checked) dton.disabled=true; else dton.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".OTON."')\" onmouseout='UnTip()'>
						<td><b>".DIALPLAN_OTON_DIS."</b></td>
						<td>".tons('oton')."</td>
						<td><input type='checkbox' value='1' name='def_oton' id='def_oton' checked  onclick='if (def_oton.checked) oton.disabled=true; else oton.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".SCREENING."')\" onmouseout='UnTip()'>
						<td><b>".DIALPLAN_SCREENING_DIS."</b></td>
		    			<td>".screen()."</td>
   		    			<td><input type='checkbox' value='1' name='def_screen' id='def_screen' checked onclick='if (def_screen.checked) screen.disabled=true; else screen.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".PRES."')\" onmouseout='UnTip()'>
						<td><b>".DIALPLAN_PRESENTATION_DIS."</b></td>
		    			<td>".pres()."</td>
		    			<td><input type='checkbox' value='1' name='def_pres' id='def_pres' checked onclick='if (def_pres.checked) pres.disabled=true; else pres.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".BEARER."')\" onmouseout='UnTip()'>
						<td><b>".DIALPLAN_BEARER_DIS."</b></td>
		    			<td>".bearer_cap()."</td>
   		    			<td><input type='checkbox' value='1' name='def_bearer_cap' id='def_bearer_cap' checked onclick='if (def_bearer_cap.checked) bearer_cap.disabled=true; else bearer_cap.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".CD."')\" onmouseout='UnTip()'>
						<td><b>".DIALPLAN_CALL_DEFLECTION_DIS."</b></td>
		    			<td>".cd()."</td>
		    			<td><input type='checkbox' value='1' name='def_cd' id='def_cd' checked onclick='if (def_cd.checked) cd.disabled=true; else cd.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".FROM_PSTN_SRC_SETTING."')\" onmouseout='UnTip()' id='from_pstn_src_setting_tr'>
						<td><b>".DIALPLAN_FROM_PSTN_SRC_SETTING_DIS."</b></td>
						<td>".from_pstn_src_setting('isdn', $e[0]['fromDirection'], $e[0]['toDirection'])."</td>
						<td><input type='checkbox' value='1' name='def_from_pstn_src_setting_isdn' id='def_from_pstn_src_setting_isdn' checked onclick='if (def_from_pstn_src_setting_isdn.checked) from_pstn_src_setting_isdn.disabled=true; else from_pstn_src_setting_isdn.disabled=false;'/></td>
					</tr>
					<tr>
						<td colspan='3'>&nbsp;</td>
					</tr>
					<tr>
						<th colspan='3'>".DIALPLAN_CALLER_ID_MAPPING_DIS."</th>
					</tr>
					<tr onmouseover=\"Tip('".ISDN_OAD_SETTING."')\" onmouseout='UnTip()' id='isdn_oad_setting_tr'>
						<td><b>".DIALPLAN_ISDN_OAD_SETTING_DIS."</b></td>
						<td>".caller_id_mapping_pstn('isdn_oad_setting','isdn', $e[0]['fromDirection'], $e[0]['toDirection'])."</td>
						<td><input type='checkbox' value='1' name='def_isdn_oad_setting' id='def_isdn_oad_setting' checked onclick='if (def_isdn_oad_setting.checked) isdn_oad_setting.disabled=true; else isdn_oad_setting.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".ISDN_OAD2_SETTING."')\" onmouseout='UnTip()' id='isdn_oad2_setting_tr'>
						<td><b>".DIALPLAN_ISDN_OAD2_SETTING_DIS."</b></td>
						<td>".caller_id_mapping_pstn('isdn_oad2_setting')."</td>
						<td><input type='checkbox' value='1' name='def_isdn_oad2_setting' id='def_isdn_oad2_setting' checked onclick='if (def_isdn_oad2_setting.checked) isdn_oad2_setting.disabled=true; else isdn_oad2_setting.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".ISDN_QSIGNAME_SETTING."')\" onmouseout='UnTip()' id='isdn_qsigname_setting_tr'>
						<td><b>".DIALPLAN_ISDN_QSIGNAME_SETTING_DIS."</b></td>
						<td>".caller_id_mapping_pstn('isdn_qsigname_setting')."</td>
						<td><input type='checkbox' value='1' name='def_isdn_qsigname_setting' id='def_isdn_qsigname_setting' checked onclick='if (def_isdn_qsigname_setting.checked) isdn_qsigname_setting.disabled=true; else isdn_qsigname_setting.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".ISDN_REDIRECTED_NR_SETTING."')\" onmouseout='UnTip()' id='isdn_redirected_nr_setting_tr'>
						<td><b>".DIALPLAN_ISDN_REDIRECTED_NR_SETTING_DIS."</b></td>
						<td>".caller_id_mapping_pstn('isdn_redirected_nr_setting')."</td>
						<td><input type='checkbox' value='1' name='def_isdn_redirected_nr_setting' id='def_isdn_redirected_nr_setting' checked onclick='if (def_isdn_redirected_nr_setting.checked) isdn_redirected_nr_setting.disabled=true; else isdn_redirected_nr_setting.disabled=false;'/></td>
					</tr>
				</table>
				
		<table id='config_sip' class='contenttoc'>
					<tr><td colspan='3' align='center'><b>".DIALPLAN_CONFIGURATION_DIS."</b></td></tr>
					<tr><td colspan='2' ></td><td><b>".DIALPLAN_DEFAULT_DIS."</b></td></tr>
					<tr onmouseover=\"Tip('".T38."')\" onmouseout='UnTip()' id='t38_tr'>
						<td><b>".DIALPLAN_T38_SUPPORT_DIS."</b></td>
		    			<td>".t38()."</td>
   		    			<td><input type='checkbox' value='1' name='def_t38' id='def_t38' checked onclick='if (def_t38.checked) t38.disabled=true; else t38.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".DTMFMODE."')\" onmouseout='UnTip()' id='dtmf_tr'>
						<td><b>".DIALPLAN_DTMF_MODE_DIS."</b></td>
		    			<td>".dtmfmode()."</td>
		    			<td><input type='checkbox' name='def_dtmfmode' id='def_dtmfmode' checked onclick='if (def_dtmfmode.checked) dtmfmode.disabled=true; else dtmfmode.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".IE_ON_SIP."')\" onmouseout='UnTip()' id='ie_on_sip_tr'>
						<td><b>".DIALPLAN_IE_ON_SIP_DIS."</b></td>
		    			<td>".ie_on_sip()."</td>
      					<td><input type='checkbox' value='1' name='def_ie_on_sip' id='def_ie_on_sip' checked onclick='if (def_ie_on_sip.checked) ie_on_sip.disabled=true; else ie_on_sip.disabled=false;'/></td>
					</tr>
					<tr id='codecs_tr'>
						<td><b>".DIALPLAN_CODECS_DIS."</b></td>
		    			<td>".codecs()."</td>
   		    			<td><input type='checkbox' value='1' name='def_codecs' id='def_codecs' onmouseover=\"Tip('".CODECS_DEF."')\" onmouseout='UnTip()' checked
				   		    onclick='if (def_codecs.checked){
   		    					document.getElementById(\"sel\").disabled=true;
   		    					document.getElementById(\"sel1\").disabled=true;
   		    					document.getElementById(\"upB\").disabled=true;
   		    					document.getElementById(\"downB\").disabled=true;
   		    					document.getElementById(\"addB\").disabled=true;
   		    					document.getElementById(\"removeB\").disabled=true;
   		    				}else{
   		    					document.getElementById(\"sel\").disabled=false;
   		    					document.getElementById(\"sel1\").disabled=false;
   		    					document.getElementById(\"upB\").disabled=false;
   		    					document.getElementById(\"downB\").disabled=false;
   		    					document.getElementById(\"addB\").disabled=false;
   		    					document.getElementById(\"removeB\").disabled=false;
   		    				}'/></td>
						</tr>
					</tr>
					<tr onmouseover=\"Tip('".WAIT_FOR_CANCEL."')\" onmouseout='UnTip()' id='wait_for_cancel_tr'>
						<td><b>".DIALPLAN_WAIT_FOR_CANCEL_DIS."</b></td>
		    			<td>".wait_for_cancel()."</td>
   		    			<td><input type='checkbox' value='1' name='def_wait_for_cancel' id='def_wait_for_cancel' checked onclick='if (def_wait_for_cancel.checked) wait_for_cancel.disabled=true; else wait_for_cancel.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".CALL_PROGRESS_TABLE."')\" onmouseout='UnTip()' id='s2i_cpt_tr'>
						<td><b>".DIALPLAN_CALL_PROGRESS_TABLE_S2I_DIS."</b></td>
		    			<td>".s2i_cpt()."</td>
		    			<td><input type='checkbox' value='1' name='def_s2i_cpt' id='def_s2i_cpt' checked onclick='if (def_s2i_cpt.checked) s2i_cpt.disabled=true; else s2i_cpt.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".CALL_PROGRESS_TABLE."')\" onmouseout='UnTip()' id='i2s_cpt_tr'>
						<td><b>".DIALPLAN_CALL_PROGRESS_TABLE_I2S_DIS."</b></td>
		    			<td>".i2s_cpt()."</td>
		    			<td><input type='checkbox' value='1' name='def_i2s_cpt' id='def_i2s_cpt' checked onclick='if (def_i2s_cpt.checked) i2s_cpt.disabled=true; else i2s_cpt.disabled=false;'/></td>
					</tr>
					<tr onmouseover=\"Tip('".FROM_SIP_SRC_SETTING."')\" onmouseout='UnTip()' id='from_sip_src_setting_tr'>
						<td><b>".DIALPLAN_FROM_SIP_SRC_SETTING_DIS."</b></td>
						<td>".from_sip_src_setting()."</td>
						<td><input type='checkbox' value='1' name='def_from_sip_src_setting' id='def_from_sip_src_setting' checked onclick='if (def_from_sip_src_setting.checked) from_sip_src_setting.disabled=true; else from_sip_src_setting.disabled=false;'/></td>
					</tr>
					<tr>
						<td colspan='3'>&nbsp;</td>
					</tr>
                                        <tr id='called_party_number_tr'>
						<th colspan='3'>".DIALPLAN_CALLED_PARTY_NUMBER_DIS."</th>
					</tr>
					<tr onmouseover=\"Tip('".SIP_TO_USER_SETTING."')\" onmouseout='UnTip()' id='sip_to_user_setting_tr'>
						<td><b>".DIALPLAN_SIP_TO_USER_SETTING_DIS."</b></td>
						<td>".  called_party_number_sip('sip_to_user_setting')."</td>
						<td><input type='checkbox' value='1' name='def_sip_to_user_setting' id='def_sip_to_user_setting' checked onclick='if (def_sip_to_user_setting.checked) sip_to_user_setting.disabled=true; else sip_to_user_setting.disabled=false;'/></td>
					</tr>
					<tr id='caller_id_mapping_tr'>
						<th colspan='3'>".DIALPLAN_CALLER_ID_MAPPING_DIS."</th>
					</tr>
					<tr onmouseover=\"Tip('".SIP_FROM_USER_SETTING."')\" onmouseout='UnTip()' id='sip_from_user_setting_tr'>
						<td><b>".DIALPLAN_SIP_FROM_USER_SETTING_DIS."</b></td>
						<td>".caller_id_mapping_sip('sip_from_user_setting')."</td>
						<td><input type='checkbox' value='1' name='def_sip_from_user_setting' id='def_sip_from_user_setting' checked onclick='if (def_sip_from_user_setting.checked) sip_from_user_setting.disabled=true; else sip_from_user_setting.disabled=false;'/></td>
					</tr>
					</tr>
					<tr onmouseover=\"Tip('".SIP_FROM_DISPLAY_SETTING."')\" onmouseout='UnTip()' id='sip_from_display_setting_tr'>
						<td><b>".DIALPLAN_SIP_FROM_DISPLAY_SETTING_DIS."</b></td>
						<td>".caller_id_mapping_sip('sip_from_display_setting')."</td>
						<td><input type='checkbox' value='1' name='def_sip_from_display_setting' id='def_sip_from_display_setting' checked onclick='if (def_sip_from_display_setting.checked) sip_from_display_setting.disabled=true; else sip_from_display_setting.disabled=false;'/></td>
					</tr>
					</tr>
                                        <tr id='provider_int_number_format_tr'>
						<th colspan='2'>" . DIALPLAN_PROVIDER_INTERNATIONAL_NUMBER_FORMAT_DIS . "</th>
					</tr>
                                        <tr onmouseover=\"Tip('" . SIP_NATIONAL_CODE_SETTING . "')\" onmouseout='UnTip()' id='sip_national_code_tr'>
						<td><b>" . DIALPLAN_SIP_NATIONAL_CODE_DIS . "</b></td>
						<td>" . sip_input_text('sip_national_code', $config) . "</td>
                                                <td><input type='checkbox' value='1' name='def_sip_national_code' id='def_sip_national_code' checked onclick='if (def_sip_national_code.checked) sip_national_code.disabled=true; else sip_national_code.disabled=false;'/></td>
					</tr>
                                        <tr onmouseover=\"Tip('" . SIP_INTERNATIONAL_CODE_SETTING . "')\" onmouseout='UnTip()' id='sip_international_code_tr'>
						<td><b>" . DIALPLAN_SIP_INTERNATIONAL_CODE_DIS . "</b></td>
						<td>" . sip_input_text('sip_international_code') . "</td>
                                                <td><input type='checkbox' value='1' name='def_sip_international_code' id='def_sip_international_code' checked onclick='if (def_sip_international_code.checked) sip_international_code.disabled=true; else sip_international_code.disabled=false;'/></td>
					</tr>
                                        <tr id='dialplan_international_prefix_tr'>
						<td><b>" . DIALPLAN_DIALPLAN_INTERNATIONAL_PREFIX_DIS . "</b></td>
						<td>" . sip_input_text('dialplan_international_prefix','','00') . "</td>
                                                <td><input type='checkbox' value='1' name='def_dialplan_international_prefix' id='def_dialplan_international_prefix' checked onclick='if (def_dialplan_international_prefix.checked) dialplan_international_prefix.disabled=true; else dialplan_international_prefix.disabled=false;'/></td>
					</tr>
                                        <tr id='isdn2sip_tr'>
						<td colspan='3'>" .DIALPLAN_ISDN_TO_SIP_DIS. "</td>
					</tr>
                                        <tr onmouseover=\"Tip('" . ISDN2SIP_DESTINATION_NUMFORMAT . "')\" onmouseout='UnTip()' id='isdn2sip_destination_numformat_tr'>
						<td><b>" . DIALPLAN_ISDN2SIP_DESTINATION_NUMFORMAT_DIS . "</b></td>
						<td>" . isdn2sip_destination_numformat() . "</td>
                                                <td><input type='checkbox' value='1' name='def_isdn2sip_destination_numformat' id='def_isdn2sip_destination_numformat' checked onclick='if (def_isdn2sip_destination_numformat.checked) isdn2sip_destination_numformat.disabled=true; else isdn2sip_destination_numformat.disabled=false;'/></td>
					</tr>
                                        <tr id='dialplan2sip_oad_prefix_setting_tr'>
						<td><b>" . DIALPLAN_DIALPLAN2SIP_OAD_PREFIX_SETTING_DIS . "</b></td>
						<td>" . dialplan2sip_oad_prefix_setting() . "</td>
                                                <td><input type='checkbox' value='1' name='def_dialplan2sip_oad_prefix_setting' id='def_dialplan2sip_oad_prefix_setting' checked onclick='if (def_dialplan2sip_oad_prefix_setting.checked) $(\"#dialplan2sip_oad_prefix_setting\").prop(\"disabled\",true); else $(\"#dialplan2sip_oad_prefix_setting\").prop(\"disabled\",false);'/></td>
					</tr>
                                        <tr id='sip2isdn_tr'>
						<td colspan='3'>".DIALPLAN_SIP_TO_ISDN_DIS."</td>
					</tr>
                                        <tr id='sip2dialplan_dad_prefix_setting_tr'>
						<td><b>" . DIALPLAN_SIP2DIALPLAN_DAD_PREFIX_SETTING_DIS . "</b></td>
						<td>" . sip2dialplan_dad_prefix_setting() . "</td>
                                                <td><input type='checkbox' value='1' name='def_sip2dialplan_dad_prefix_setting' id='def_sip2dialplan_dad_prefix_setting' checked onclick='if (def_sip2dialplan_dad_prefix_setting.checked) $(\"#sip2dialplan_dad_prefix_setting\").prop(\"disabled\",true); else $(\"#sip2dialplan_dad_prefix_setting\").prop(\"disabled\",false);'/></td>
					</tr>
                                        <tr id='sip2dialplan_oad_prefix_setting_tr'>
						<td><b>" . DIALPLAN_SIP2DIALPLAN_OAD_PREFIX_SETTING_DIS . "</b></td>
						<td>" . sip2dialplan_oad_prefix_setting() . "</td>
                                                <td><input type='checkbox' value='1' name='def_sip2dialplan_oad_prefix_setting' id='def_sip2dialplan_oad_prefix_setting' checked onclick='if (def_sip2dialplan_oad_prefix_setting.checked) $(\"#sip2dialplan_oad_prefix_setting\").prop(\"disabled\",true); else $(\"#sip2dialplan_oad_prefix_setting\").prop(\"disabled\",false);'/></td>
					</tr>
                                        <tr id='srtp_mode_tr' onmouseover=\"Tip('" . SRTP_MODE . "')\" onmouseout='UnTip()'>
						<td><b>" . DIALPLAN_SRTP_MODE_DIS . "</b></td>
						<td>" . srtp_mode() . "</td>
                                                <td><input type='checkbox' value='1' name='def_srtp_mode' id='def_srtp_mode' checked onclick='if (def_srtp_mode.checked) $(\"#srtp_mode\").prop(\"disabled\",true); else $(\"#srtp_mode\").prop(\"disabled\",false);'/></td>
					</tr>
                                        <tr id='srtp_crypto_suites_tr'>
						<td><b>" . DIALPLAN_SRTP_CRYPTO_SUITES_DIS . "</b></td>
						<td>" . srtp_crypto_suites($config) . "</td>
                                                <td><input type='checkbox' value='1' name='def_srtp_crypto_suites' id='def_srtp_crypto_suites' checked onclick='if (def_srtp_crypto_suites.checked) $(\"#srtp_crypto_suites\").prop(\"disabled\",true); else $(\"#srtp_crypto_suites\").prop(\"disabled\",false);'/></td>
					</tr>";
			echo "</table><br/>
			<input name='page' type='hidden' value='" . $page . "'>
			<input name='dir' type='hidden' value='" . $dir . "'>
			<input name='search' type='hidden' value='" . $search . "'>
			<input name='id_upd' type='hidden' value='" . $_GET['id'] . "'>
			<input name='from' type='hidden' value='" . $e[0]['fromDirection'] . "'>
			<input name='to' type='hidden' value='" . $e[0]['toDirection'] . "'>";
		if ($_GET['isdnid']!=""){
			echo "<input name='isdnid' type='hidden' value='" . $_GET['isdnid'] . "'>";
		}

		echo "<div id='buttons' class='center'><input name='submit' type='submit' value='".BUTTON_SAVE."' onclick='selectall();' onmouseover=\"Tip('" . DIALPLAN_SAVE . "')\" onmouseout='UnTip()'>
		&nbsp;&nbsp;<input name='close' type='button' value='".BUTTON_CLOSE."' onclick='javascript:$(\"#dialog\").dialog(\"close\");' onmouseover=\"Tip('" . POPUPS_BUTTON_CLOSE . "')\" onmouseout='UnTip()'>
		</div>
		</form>";

	showdefmc($e);

?>
</body>
</html>

