<?php
$redir_login = "/app/berogui/includes/login.php";
@session_start();
if(!isset($_SESSION['beroari_time']) || ((isset($_SESSION['beroari_time']))&&(($_SESSION['beroari_time']+1200)<time()))){
	setcookie(session_name(), '', time() - 42000,"/");
	session_unset();
	session_destroy();
	header("Location:" . $redir_login . "?reason=sess_expd&m=rebres");
	exit();
}else{
	$_SESSION['beroari_time']=time();
//Factory Reset, Datenbank löschen und neu erzeugen
chdir("..");

include "./includes/variables.php";
include "./misc/database.php";
include '/usr/fallback/beroConf.php';
//Reset ari.db
if (isset($_POST['keep_sip_set'])){
	$ba=new beroAri();
	$q=$ba->select('select * from sip;');
	$inserts=array();
	$i=0;
	while ($entry=sqlite_fetch_array($q, SQLITE_ASSOC)){
		$fields="";
		$values="";
		foreach ($entry as $key=>$val){
			($fields=="") ? $fields=$key : $fields.=",".$key;
			($values=="") ? $values="'".sqlite_escape_string ($val)."'" : $values.=",'".sqlite_escape_string ($val)."'";
		}
		$inserts[$i++]=" Insert into sip ($fields) VALUES ($values); ";
	}
}
$cloudSettings=array();
if (isset($_POST['keep_cloud_set'])){
   $ba=new beroAri();
   $cloudSettings['proxyEnabled']=$ba->get('proxyEnabled');
   $cloudSettings['proxyAddress']=$ba->get('proxyAddress');
   $cloudSettings['proxyPort']=$ba->get('proxyPort');
   $cloudSettings['proxyType']=$ba->get('proxyType');
   $cloudSettings['proxyUser']=$ba->get('proxyUser');
   $cloudSettings['proxySecret']=$ba->get('proxySecret');
   $cloudSettings['cloudAddress']=$ba->get('cloudAddress');
}
system("/bin/rm /usr/conf/ari.db");
$ba=new beroAri();
if (isset($_POST['keep_sip_set']) || isset($_POST['keep_cloud_set'])) $ba->create_database();

if ($ba->is_error()){
	echo "<script>alert(\"".$ba->error()."\");</script>";
}

	//reset also rootdb versions
	$bc=new beroConf('root');
	$bc->exec_sql("delete from root where key not in('root-version','lan-mtu','lan-iface','lan-ipaddr','lan-netmask','lan-gateway','lan-dhcp','msp-iface','msp-ipaddr','app-image','app-status','ntphost','cloud_enable','cloud_key', 'lan-nameserver','vlan-enable','vlan-id','vlan-prio');");
	if (!isset($_POST['keep_set'])){
		$bc->set('root','lan-iface','eth0');
		$bc->set('root','lan-ipaddr','');
		$bc->set('root','lan-netmask','');
		$bc->set('root','lan-gateway','');
		$bc->set('root','lan-dhcp','yes');
		$bc->set('root','lan-mtu','1500');
                $bc->set("root", 'lan-nameserver', '');
                $bc->set("root", 'beroAvahi-enabled', 'yes');
                $bc->set("root","vlan-enable","0");
		$bc->set("root","vlan-id","");
		$bc->set("root","vlan-prio","");
	}
	if (!isset($_POST['keep_cloud_set'])){
		$bc->exec_sql("delete from root where key in('cloud_enable','cloud_key');");
	}

	if (!isset($_POST['keep_app_set'])){

		system('/bin/mount -o remount,rw /home/admin/;');

		if ($handle = opendir('/home/admin/apps/')) {
			while (false !== ($file = readdir($handle))) {
				if (($file == '.') || ($file == '..')) {
					continue;
				}
				exec('rm -rf /home/admin/apps/' . $file);
				exec('rm -rf /home/admin/www/' . $file);
			}
			closedir($handle);
		}

		exec('rm -rf /usr/conf/userapp');
		system("/bin/mount -o remount,ro /home/admin/;");
	}

	$bc->set('root','msp-iface','eth1');
	$bc->set('root','msp-ipaddr','auto');
	$bc->set('root','app-status','running');
	$bc->set('root','ntphost','');
        $bc->set("root", "userapp-enabled", "1");
        $bc->set("root", "userapp-user-enabled", "1");

	if (isset($_POST['keep_sip_set'])) {
		foreach ($inserts as $sql) $ba->insert_($sql);
	}

	if (isset($_POST['keep_cloud_set'])) {
		foreach ($cloudSettings as $key=>$value) $ba->set($key,sqlite_escape_string ($value));
	}

	// doesn't this belong into 'create_files.php'??
	@unlink('/usr/conf/apiusers.conf');
	$handle = fopen('/usr/conf/apiusers.conf', 'w');
	fputs($handle, 'admin:' . crypt('admin', base64_encode('admin')));
	fclose($handle);

	// reset password for user admin and deaktivate account
	exec('/usr/local/sbin/pwchange.sh admin admin');
	exec('/bin/mount -oremount,rw /; ' . '/usr/bin/passwd -l admin; /bin/mount -oremount,ro /');

	if ($_POST['v']=='Wizard')
		echo "<script>window.location.href=\"../index.php?m=wizard\"</script>";
	else
		echo "<script>window.location.href=\"../includes/create_files.php\"</script>";

}

?>
